/***********************************************************
    PROGRAM:    pictps
    MODULE:     bitmap.h

    AUTHOR:     Patrick Hayden
    DATE:       1991-07-15

************************************************************/


/* Scanmap definitions */

typedef unsigned char opcode;

#define SCAN_MASK			0x0F

#define SCAN_RUN			0x0
#define SCAN_ROW			0x1
#define SCAN_COL			0x2
#define SCAN_COLOR			0x3
#define SCAN_RUN_RETURN		0x4
#define SCAN_SKIP0			0x5
#define SCAN_SKIP1			0x6
#define SCAN_SKIP2			0x7
#define SHORT_RUN			0x8
#define SHORT_ROW			0x9
#define SHORT_COL			0xA
#define SHORT_COLOR			0xB
#define SHORT_RUN_RETURN	0xC
#define SHORT_SKIP0			0xD
#define SHORT_SKIP1			0xE
#define SHORT_SKIP2			0xF

struct reg {
	unsigned char l, h;
	};

