/***********************************************************
    PROGRAM:    pictps
    MODULE:     pictps_proto.h

    AUTHOR:     Patrick Hayden
    DATE:       1992-03-07
***********************************************************/

extern bool isprintable();
extern char *element_ptr();
extern struct extra_element_data *data_ptr();
extern struct label_data *label_ptr();
extern struct transform_data *transform_ptr();
extern int query_map_rgb();
extern int query_font_info();
extern int query_pict_size();
extern void draw_symbol();
extern void draw_image();
extern char *buf_puts();
extern int buf_printf();
extern void buf_strcat();
extern void flush_buffer();
extern unsigned short get_file_extension();
extern char *make_temp_file();
extern void error();
extern int flog();
extern int resolve_link();
extern void draw_link();
extern void draw_shadow();
extern void draw_options();
extern int draw_label();
extern void x_position_label();
extern void y_position_label();
extern int draw_transform_start();
extern int draw_transform_end();
extern int draw_line_style_start();
extern int draw_line_style_end();
extern int rgb_printf();
extern int hdr_printf();
extern int name_printf();
extern int find_font();
extern void draw_rect();
extern void draw_rect_mod();
extern void draw_hscroll();
extern void draw_vscroll();
extern void draw_text();
extern void boxclip_start();
extern void bevelclip_start();
extern void clip_end();
extern void get_points();
extern unsigned get_window_options();
extern char *strformat();
extern char *StrTok();
extern char *ps_colour();
extern char *trim();
extern char *salloc();
extern void showsize();
extern void draw_number();
extern double round ();
extern int def_xy_map();
extern void push_offset();
extern void pop_offset();
extern void add_offset();
extern void sub_offset();
extern void clear_offset();
extern void xy_map();
extern void pxy_map();
extern void ps_write_hdr();
extern void ps_write_trailer();
extern void ps_write_colour_map();
extern void ps_draw_bkgd();
extern int Draw_element();
extern void Draw_arc();
extern void Draw_button();
extern void Draw_curve();
extern void Draw_group();
extern int Draw_end_group();
extern void Draw_image();
extern void Draw_line();
extern void Draw_link();
extern void Draw_meta();
extern void Draw_msgs();
extern void Draw_number();
extern void Draw_para();
extern void Draw_path();
extern void Draw_points();
extern void Draw_rect();
extern void Draw_symbol();
extern void Draw_text();
extern int Set_coords();
extern void Init_coords();
extern int main();
extern int link_open();
